public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Christoph Junghans" <ottxor@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sys-cluster/mpich/
Date: Tue, 17 Feb 2015 00:13:19 +0000 (UTC)	[thread overview]
Message-ID: <1424131524.93c173bc7c97269bf5489ae68b2df909edf0465b.ottxor@gentoo> (raw)

commit:     93c173bc7c97269bf5489ae68b2df909edf0465b
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 17 00:05:24 2015 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Feb 17 00:05:24 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=93c173bc

added multilib mpi for testing

Package-Manager: portage-2.2.14

---
 sys-cluster/mpich/ChangeLog             |   8 +-
 sys-cluster/mpich/mpich-3.1.3-r1.ebuild | 127 ++++++++++++++++++++++++++++++++
 2 files changed, 133 insertions(+), 2 deletions(-)

diff --git a/sys-cluster/mpich/ChangeLog b/sys-cluster/mpich/ChangeLog
index deb211c..719cc52 100644
--- a/sys-cluster/mpich/ChangeLog
+++ b/sys-cluster/mpich/ChangeLog
@@ -1,10 +1,14 @@
 # ChangeLog for sys-cluster/mpich
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*mpich-3.1.3-r1 (17 Feb 2015)
+
+  17 Feb 2015; Christoph Junghans <ottxor@gentoo.org> +mpich-3.1.3-r1.ebuild:
+  added multilib mpi for testing
+
 *mpich-3.0.4 (09 Jul 2013)
 
   09 Jul 2013; Justin Bronder <jsbronder@gentoo.org> +mpich-3.0.4.ebuild,
   +.mpich-3.0.4.ebuild.swp, +files/eselect.mpi.mpich, +metadata.xml:
   Initial commit, upstream package move from sys-cluster/mpich2 and bump
-

diff --git a/sys-cluster/mpich/mpich-3.1.3-r1.ebuild b/sys-cluster/mpich/mpich-3.1.3-r1.ebuild
new file mode 100644
index 0000000..3aea437
--- /dev/null
+++ b/sys-cluster/mpich/mpich-3.1.3-r1.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/mpich/mpich-3.1.3.ebuild,v 1.1 2014/10/16 04:50:05 jsbronder Exp $
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+
+inherit fortran-2 multilib-minimal
+
+MY_PV=${PV/_/}
+DESCRIPTION="A high performance and portable MPI implementation"
+HOMEPAGE="http://www.mpich.org/"
+SRC_URI="http://www.mpich.org/static/downloads/${PV}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="mpich"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+cxx doc fortran mpi-threads romio threads"
+
+COMMON_DEPEND="
+	>=dev-libs/libaio-0.3.109-r5[${MULTILIB_USEDEP}]
+	>=sys-apps/hwloc-1.10.0-r2[${MULTILIB_USEDEP}]
+	romio? ( net-fs/nfs-utils )"
+
+DEPEND="${COMMON_DEPEND}
+	dev-lang/perl
+	sys-devel/libtool"
+
+RDEPEND="${COMMON_DEPEND}
+	!sys-cluster/mpich2
+	!sys-cluster/openmpi"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+MULTILIB_WRAPPED_HEADERS=(
+	/usr/include/mpicxx.h
+	/usr/include/mpi.h
+	/usr/include/mpif.h
+	/usr/include/opa_config.h
+)
+
+pkg_setup() {
+	FORTRAN_STANDARD="77 90"
+	fortran-2_pkg_setup
+
+	if use mpi-threads && ! use threads; then
+		ewarn "mpi-threads requires threads, assuming that's what you want"
+	fi
+}
+
+src_prepare() {
+	# Using MPICHLIB_LDFLAGS doesn't seem to fully work.
+	sed -i 's| *@WRAPPER_LDFLAGS@ *||' \
+		src/packaging/pkgconfig/mpich.pc.in \
+		src/env/*.in \
+		|| die
+}
+
+multilib_src_configure() {
+	local c="--enable-shared"
+
+	# The configure statements can be somewhat confusing, as they
+	# don't all show up in the top level configure, however, they
+	# are picked up in the children directories.
+
+	if use mpi-threads; then
+		# MPI-THREAD requries threading.
+		c="${c} --with-thread-package=pthreads"
+		c="${c} --enable-threads=runtime"
+	else
+		if use threads ; then
+			c="${c} --with-thread-package=pthreads"
+		else
+			c="${c} --with-thread-package=none"
+		fi
+		c="${c} --enable-threads=single"
+	fi
+
+	c="${c} --sysconfdir=${EPREFIX}/etc/${PN}"
+	c="${c} --docdir=${EPREFIX}/usr/share/doc/${PF}"
+
+	export MPICHLIB_CFLAGS=${CFLAGS}
+	export MPICHLIB_CPPFLAGS=${CPPFLAGS}
+	export MPICHLIB_CXXFLAGS=${CXXFLAGS}
+	export MPICHLIB_FFLAGS=${FFLAGS}
+	export MPICHLIB_FCFLAGS=${FCFLAGS}
+	export MPICHLIB_LDFLAGS=${LDFLAGS}
+	unset CFLAGS CPPFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS
+
+	ECONF_SOURCE=${S} econf ${c} \
+		--with-pm=hydra \
+		--disable-mpe \
+		--disable-fast \
+		--enable-smpcoll \
+		--enable-versioning \
+		--with-hwloc-prefix=/usr \
+		$(use_enable romio) \
+		$(use_enable cxx) \
+		$(use_enable fortran fortran all)
+}
+
+multilib_src_test() {
+	emake -j1 check
+}
+
+multilib_src_install() {
+	default
+
+	#fortran modules are arch-specific, follow OpenMPI and put them in lib
+	if use fortran; then
+		mv "${ED}"/usr/include/*.mod "${ED}"/usr/$(get_libdir) || die
+	fi
+}
+
+multilib_src_install_all() {
+	dodir /usr/share/doc/${PF}
+	dodoc README{,.envvar} CHANGES RELEASE_NOTES
+	newdoc src/pm/hydra/README README.hydra
+	if use romio; then
+		newdoc src/mpi/romio/README README.romio
+	fi
+
+	if ! use doc; then
+		rm -rf "${D}"usr/share/doc/${PF}/www*
+	fi
+}


             reply	other threads:[~2015-02-17  0:13 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-02-17  0:13 Christoph Junghans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-02-20  2:01 [gentoo-commits] proj/sci:master commit in: sys-cluster/mpich/ Christoph Junghans
2015-02-21  2:46 Christoph Junghans
2015-04-20 17:11 Justin Bronder
2015-04-20 17:11 Justin Bronder
2015-04-20 17:27 Justin Bronder
2015-11-21 15:14 Christoph Junghans
2015-12-21 13:48 Justin Bronder
2016-08-29 20:45 Justin Bronder
2016-08-29 20:45 Justin Bronder
2016-08-29 20:45 Justin Bronder
2016-08-29 20:45 Justin Bronder
2016-08-29 20:45 Justin Bronder
2016-08-29 20:49 Christoph Junghans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1424131524.93c173bc7c97269bf5489ae68b2df909edf0465b.ottxor@gentoo \
    --to=ottxor@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox